/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     crt0-arm.S
 * Description:   Startup code for ARM family processors.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * crt0-arm.S,v 1.1 2001/12/10 17:04:37 skoglund Exp
 *                
 ********************************************************************/
#include <config.h>

	.globl	_start
_start:
	ldr	sp, 2f
	bl	main
1:	b	1b
2:	.word	_stack_top

	.globl	atexit
atexit:	
	mov	pc, lr

	.bss
_stack_bottom:
	.space	8192
_stack_top:
