/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     l4ms/x86/compiler.h
 * Description:   compiler helpers - not adopted yet
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * compiler.h,v 1.2 2001/12/13 08:47:30 uhlig Exp
 *                
 ********************************************************************/

#ifndef __L4_COMPILER_H__ 
#define __L4_COMPILER_H__ 

#ifndef __ASSEMBLY__

#ifndef __GNUC__
#error "The libl4sys library must be used with Gcc."
#endif

#ifndef __cplusplus
# ifdef __OPTIMIZE__
#  define L4_INLINE extern __inline__
# else /* ! __OPTIMIZE__ */
#  define L4_INLINE static
# endif /* ! __OPTIMIZE__ */
#else /* __cplusplus */
# define L4_INLINE inline
#endif /* __cplusplus */

#define L4_NORETURN __attribute__((noreturn))

#endif /* !__ASSEMBLY__ */

#include <linux/linkage.h>

#endif
