/*********************************************************************
 *                
 * Copyright (C) 2001,  Karlsruhe University
 *                
 * File path:     lib/io/arm-ep7211-putc.c
 * Description:   serial putc() for EP7211 board
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * arm-ep7211-putc.c,v 1.2 2001/11/30 14:24:22 ud3 Exp
 *                
 ********************************************************************/
#include <l4/l4.h>
#include "arm-ep7211-uart.h"

void putc(int c)
{
    while (STATUS(HWBASE2) & UTXFF);
    DATA(HWBASE2) = c;
    
    if (c == '\n')
	putc('\r');
}
