/*********************************************************************
 *                
 * Copyright (C) 1999-2002,  Karlsruhe University
 *                
 * File path:     sigma0/crt0-x86.S
 * Description:   Startup code for x86 family processors.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * crt0-x86.S,v 1.6 2001/12/09 03:25:13 ud3 Exp
 *                
 ********************************************************************/
#include <config.h>

	.text
	.global _start
	.global _stext
_stext:	
_start:
	/* do we have a reasonable KIP pointer on the stack ???
	   Jochen/Fiasco */
	testl	$0x00000FFF, (%esp)	
	jne	0f
	/* if not, it may already be in eax - L4/KA */
	popl	%eax
0:	leal	stack, %esp
	pushl	%eax
	pushl	$___return_from_main
	jmp	sigma0_main

#if 1
	.align 16, 0x90
__mb_header:
	.long   0x1BADB002;
	.long   0x00010000;
	.long   - 0x00010000 - 0x1BADB002;
	.long   __mb_header;
	.long   _start;
	.long   _edata;
	.long   _end;
	.long   _start;
#endif
	
___return_from_main:
	int $3
	jmp 1f
	.ascii "System stopped."
1:	jmp ___return_from_main
		
	.bss

	.space	1024
stack:
