/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     arm/farcalls.c
 * Description:   Hooks for doing farcalls on ARM.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * farcalls.c,v 1.9 2001/11/22 13:18:48 skoglund Exp
 *                
 ********************************************************************/
#include <universe.h>

const int (*__farcall_printf)(const char *, ...) = printf;
const void (*__farcall_panic)(const char*) = panic;
const void (*__farcall_kmem_free)(ptr_t address, dword_t size) = kmem_free;
