/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     lib.c
 * Description:   Various helper functions.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * lib.c,v 1.3 2001/11/22 13:04:52 skoglund Exp
 *                
 ********************************************************************/
#include <universe.h>

void zero_memory(dword_t* dest, int len)
{
    len /= 4;
    while(len--)
	*(dest++) = 0;
}

void memcpy(dword_t* dest, dword_t * src, int len)
{
    //printf("memcpy(%p, %p, %d)\n", dest, src, len);

    len /= 4;
    while(len--)
	*(dest++) = *(src++);

}
