/*********************************************************************
 *                
 * Copyright (C) 2001,  Karlsruhe University
 *                
 * File path:     arm-dnard-uart.h
 * Description:   Macros for serial ports on DNARD
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * arm-dnard-uart.h,v 1.2 2001/11/30 14:24:22 ud3 Exp
 *                
 ********************************************************************/

#if defined(NATIVE)
#define COM1		0x400003f8
#define COM2		0x400002f8
#else
#define COM1		0xFFF003f8
#define COM2		0xFFF002f8
#endif

#define DATA(x)		(*(volatile byte_t*) ((x)))
#define STATUS(x)	(*(volatile byte_t*) ((x)+5))
