/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     arm/farcalls.h
 * Description:   Farcall wrappers.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * farcalls.h,v 1.10 2001/11/22 14:56:35 skoglund Exp
 *                
 ********************************************************************/
#ifndef __ARM__FARCALLS_H__
#define __ARM__FARCALLS_H__

extern int (*__farcall_printf)(const char *, ...);
extern void (*__farcall_panic)(const char*);
extern void (*__farcall_kmem_free)(ptr_t address, dword_t size);

#define printf __farcall_printf
#define panic __farcall_panic
#define kmem_free __farcall_kmem_free

#endif /* __ARM__FARCALLS_H__ */
