/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     kmemory.h
 * Description:   Kernel memory allocator function declarations.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * kmemory.h,v 1.11 2001/11/22 14:56:35 skoglund Exp
 *                
 ********************************************************************/
#ifndef __KMEMORY_H__
#define __KMEMORY_H__

#ifdef CONFIG_HAVE_ARCH_KMEM
 
#include INC_ARCH(kmemory.h)

#else /* !CONFIG_HAVE_ARCH_KMEM */

#define KMEM_CHUNKSIZE 0x400

ptr_t kmem_alloc(dword_t size);
void kmem_free(ptr_t address, dword_t size);


#endif /* !CONFIG_HAVE_ARCH_KMEM */


#endif /* !__KMEMORY_H__ */
