/*********************************************************************
 *                
 * Copyright (C) 2000, 2001,  Karlsruhe University
 *                
 * File path:     tracebuffer.h
 * Description:   Macros recording tracebuffer events.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * tracebuffer.h,v 1.2 2001/11/22 14:56:35 skoglund Exp
 *                
 ********************************************************************/
#ifndef __TRACEBUFFER_H__
#define __TRACEBUFFER_H__

#if defined(CONFIG_TRACEBUFFER)
#include INC_ARCH(tracebuffer.h)
#else
#define TBUF_RECORD_EVENT(_a)
#define TBUF_RECORD_EVENT_AND_PAR(_a, _p0)
#define TBUF_RECORD_EVENT_AND_TWO_PAR(_a, _p0, _p1)
#define TBUF_INCREMENT_TRACE_COUNTER()
#define TBUF_CLEAR_BUFFER()
#endif

#endif /* __TRACEBUFFER_H__ */
