/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     types.h
 * Description:   Global type definitions.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * types.h,v 1.9 2001/11/22 14:56:35 skoglund Exp
 *                
 ********************************************************************/
#ifndef __TYPES_H__
#define __TYPES_H__

/*
 * standard type definitions
 */
typedef unsigned long long	qword_t;
typedef unsigned int		dword_t;
typedef unsigned short		word_t;
typedef unsigned char		byte_t;

typedef signed long long	sqword_t;
typedef signed int		sdword_t;
typedef signed short		sword_t;
typedef signed char		sbyte_t;

typedef dword_t*                ptr_t;

typedef	unsigned long long	uint64;
typedef	unsigned long		uint32;
typedef	unsigned short		uint16;
typedef	unsigned char		uint8;
typedef	long long		int64;
typedef	long			int32;
typedef	short			int16;
typedef	char			int8;



typedef struct tcb_t		tcb_t;


#ifndef NULL
#define NULL			(0)
#endif

#ifndef FALSE
#define FALSE	0
#endif

#ifndef TRUE
#define TRUE	(!FALSE)
#endif

#endif /* __TYPES_H__ */
