/*********************************************************************
 *                
 * Copyright (C) 1999, 2000, 2001,  Karlsruhe University
 *                
 * File path:     x86/init.h
 * Description:   Initialization declarations for x86.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * init.h,v 1.12.2.1 2001/12/11 12:15:29 skoglund Exp
 *                
 ********************************************************************/
#ifndef __X86_INIT_H__
#define __X86_INIT_H__

extern "C" void int_0();
extern "C" void int_1();
extern "C" void int_2();
extern "C" void int_3();
extern "C" void int_4();
extern "C" void int_5();
extern "C" void int_6();
extern "C" void int_7();
extern "C" void int_8();
extern "C" void int_9();
extern "C" void int_10();
extern "C" void int_11();
extern "C" void int_12();
extern "C" void int_13();
extern "C" void int_14();
extern "C" void int_16();
extern "C" void int_17();
extern "C" void int_18();
extern "C" void int_19();

extern "C" void hwintr_0();
extern "C" void hwintr_1();
extern "C" void hwintr_2();
extern "C" void hwintr_3();
extern "C" void hwintr_4();
extern "C" void hwintr_5();
extern "C" void hwintr_6();
extern "C" void hwintr_7();
extern "C" void hwintr_8();
extern "C" void hwintr_9();
extern "C" void hwintr_10();
extern "C" void hwintr_11();
extern "C" void hwintr_12();
extern "C" void hwintr_13();
extern "C" void hwintr_14();
extern "C" void hwintr_15();

extern "C" void int_48();
extern "C" void int_49();
extern "C" void int_50();
extern "C" void int_51();
extern "C" void int_52();
extern "C" void int_53();
extern "C" void int_54();

extern "C" void timer_irq();

#if defined (CONFIG_X86_APIC)
extern "C" void apic_lint0();
extern "C" void apic_lint1();
extern "C" void apic_error();
extern "C" void apic_spurious_int();
#endif

#if defined (CONFIG_ENABLE_PROFILING)
extern "C" void apic_perfctr();
extern "C" void perfctr_bounce_back();
#endif



void init_irqs() L4_SECT_INIT;


#endif




