/*********************************************************************
 *                
 * Copyright (C) 2000, 2001,  Karlsruhe University
 *                
 * File path:     dnard.lds
 * Description:   DNARD specific includes for linker script.
 *                
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *                
 * dnard.lds,v 1.5 2001/12/11 20:19:03 ud3 Exp
 *                
 ********************************************************************/

/*
 * Virtual address of exception vector page. REMEMBER TO CHANGE THIS
 * IF THE EXCEPTION VECTOR IS NO LONGER RELOCATED!
 */
EXCP_VADDR	= 0x00000000;

/*
 * Physical address of all the kernel code+data
 * Effectively: physical address of the exception vector.
 */
KERNEL_PHYS	= 0x08000000;

/*
 * Physical address of the init section.
 * Should be in a separate 1M section.
 */
INIT_PHYS	= 0x0A000000;
